Jump to content

Migration 1.3 vers 1.6


Recommended Posts

Bonjour a tous

 

J'ai besoin de migrer un prestashop 1.3 vers 1.6. J'ai suivi la documentation avec une migration manuelle.

 

J'ai suivi toutes les étapes et lorsque je lance l’installe j'obtiens ce message 

 

Attention : vous ne pouvez plus utiliser cet outil pour mettre à jour votre boutique.

Vous disposez déjà de PrestaShop version 1.3.1.1.

Si vous voulez passer à la dernière version, lisez notre documentation :http://doc.prestashop.com/pages/viewpage.action?pageId=23069387

 

La documentation elle comme celle que j'ai suivi, et je n'ai pas le bouton mettre a jour.

 

Pouvez vous me donner une piste

 

Merci

Share this post


Link to post
Share on other sites

Bonjour,

 

La version 1.6 n'ai pas adaptée pour une mise à jour manuelle.

 

Faite une mise à jour auto en passant dans un premier temps à la 1.3.7, puis à la 1.4.11.0, puis à la 1.5.6.2, utilisez le module ps cleanner pour nétoyer et optimiser la base. Faites l'update vers la 1.6 et encore ps cleaner.

Share this post


Link to post
Share on other sites

merci pour votre aide.

 

Comment passe ren auto de la 1.3.1.1 à la 1.3.7 ? Pour moi je dois le faire manuellement.

 

Et pourquoi ces version précisément, et pas passer manuellement à une version 1.4.X et puis utiliser le module automatique pour passer 1.6. 

Share this post


Link to post
Share on other sites

je n'ai pas connaissance de script pour la 1.3.

 

J'utilise cette doc http://doc.prestashop.com/pages/viewpage.action?pageId=23069387 et le dernier paragraphe concerne 

Mettre à jour depuis une version antérieure à la 1.4 et il est bien dit V"ous êtes par ailleurs limité à la mise à jour manuelle : le module de mise à jour automatique ne fonctionne qu'à partir de la version 1.4 de PrestaShop."

 

d'ou ma question

Share this post


Link to post
Share on other sites

Et moi je vous dit d'utiliser le script de mise à jour automatique car il fonctionne (j'ai fait ma migration de 1.3.7 à la dernière comme expliqué plutôt avec ce script).

 

Sinon on rappel les bases, sauvegarde manuelle complète à chaque étape (je ne conseille pas d’utiliser la sauvegarde automatique, apprenez à sauvegarder manuellement complétement votre site comme cela vous serez capable de le restaurer).

 

De plus je rappel qu'il est préférable de désactiver les modules tiers inutiles ou incompatibles.

 

Que vous devrez refaire un template pour la nouvelle version

 

...

Share this post


Link to post
Share on other sites

  • 1 month later...

Bonjour,

 

Je tente désespérément de de passer de la version 1.3.7.0 à la 1.6.

J'ai essayé plusieurs méthodes, la première étant la mise à jour manuelle et qui comme indiqué plus haut n'a pas fonctionné me proposant uniquement l'installation et non la mise à jour.

 

La seconde a été de faire la mise à jour auto via 1 click, cela a partiellement fonctionné mais la boutique était en vrac.

 

Voici ma troisième tentative, grâce à ce post j'entrevois une issue possible... 

Seulement voila le module 1 click ne me propose bien sur pas les versions précédentes, ce que j'ai compris ensuite en relisant le post.
Donc voici où je bloque :

Puis déposer l'archive de la 1.3.7 dans le bon répertoire, pour cela je vous laisse lire la doc du module.

Je ne trouve nulle part la procédure pour déposer l'archive de la 1.4.11.0 dans le répertoire du module...

 

Pourriez-vous m'aider?

 

Merciiiiii

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Salut,

 

Le problème est que le bouton "suivant" n'apparait pas sur la 1re page d'install de la 1.4 après avoir coché mise à jour et licence.

 

A priori pas de solutions sur le forum, des posts en Résolu mais vide de solution.

 

Si quelqu'un a déjà eu le problème ? Merci

 

Christophe

Share this post


Link to post
Share on other sites

  • 7 months later...

Bonjour,

 

Je tente désespérément de passer ma boutique de la version 1.3.2.2 à une version 1.6.

 

J'ai essayé de passer à la version 1.3.7.0 via l'outil "Mise à jour en 1 Click" => J'ai eu l'erreur suivante :

[Ajax / Server Error for action upgradeDb] textStatus: "error " errorThrown:"Internal Server Error " jqXHR :

 

J'ai ensuite essayé de passer directement à la version 1.4.0.17 via l'outil et j'ai le même message d'erreur.

 

Ensuite j'ai déployé la version 1.5.0.17 en déposant les fichiers sur le serveur et en lançant l'upgrade par le fichier /install/upgrade/upgrade.php => Là la mise à jour c'est à peu près bien passé (quel fail mineure sur la Bdd). Par contre l'admin est accessible mais je n'accède à rien sur le front office... Que des pages 500.

 

Pour finir j'ai essayé de passer directement à la version 1.6.1 avec l'outil "Mise à jour en 1 Click" et même problème que pour la 1.5.

 

Savez-vous comment je pourrait faire pour régler mon problème ?

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More